/* Site Header */
header {
    margin-bottom: -100px;
}

header #kipp-top-menu {
    background-color: transparent !important;
    margin-bottom: 0;
    backdrop-filter: blur(20px);
    padding: 0 20px;
}

#kipp-top-menu > .e-con-inner {
    justify-content: space-between;
    align-items: center;
}

#demo-btn a,
#demo-btn a:visited {
    padding: 13px 24px;
    font: 500 16px/22px var(--DM-Sans);
    color: var(--white);
    text-transform: none;
    border-radius: var(--radius-8);
    /* border: 2px solid transparent; */
    position: relative;
    width: 100%;
    transition: all 0.3s ease;
    outline: none;
    background: none;
    border: none;
    justify-content: center;
}

#demo-btn a::before {
    content: '';
    position: absolute;
    background: linear-gradient(180deg, #00BEFF 0%, #000BB1 100%) border-box;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 2px solid transparent;
    border-radius: var(--radius-8);
    opacity: 1;
    transition: opacity 0.3s linear;
    -webkit-mask: linear-gradient(#fff 0 0) padding-box, linear-gradient(#fff 0 0);
    -webkit-mask-composite: destination-out;
    mask-composite: exclude;
}

#demo-btn a::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 2px solid transparent;
    border-radius: var(--radius-8);
    background: var(--gradient-blue) padding-box,
    linear-gradient(180deg, #00BEFF 0%, #000BB1 100%) border-box;
    opacity: 0;
    transition: opacity 0.3s linear;
}

#demo-btn a:hover::after {
    opacity: 1;
}

#demo-btn a span {
    position: relative;
    z-index: 2;
}


.menu-site-logo {
    height: max-content;
    margin: 43px 60px 16px 0;
}

.kipp-nav.e-flex.e-con.e-child {
    max-height: fit-content;
    align-self: flex-end;
    padding: 24px 0;
    max-width: max-content;
}

.e-n-menu-wrapper .e-n-menu-content .e-con>.e-con-inner {
    height: auto;
}


/* on scroll */
header.fill #kipp-top-menu.main-menu {
    background-color: #FFFFFF80 !important;
}

header.fill #kipp-top-menu.main-menu #demo-btn a,
header.fill #kipp-top-menu.main-menu #demo-btn a {
    color: var(--dark-blue);
}

header.fill #kipp-top-menu.main-menu #demo-btn a:hover .e-n-menu-title-text {
    color: var(--white);
}

#kipp-top-menu .kipp-nav .e-n-menu-item .e-n-menu-title-text {
    color: var(--dark-blue);
}

header.fill #kipp-top-menu.main-menu .kipp-nav .e-n-menu-item .e-n-menu-title-text {
    color: var(--dark-blue);
}

#kipp-top-menu .elementor-widget-n-menu .e-n-menu-wrapper > ul {
    background: var(--white);
}

#kipp-top-menu  nav > .e-n-menu-wrapper > ul > li {
    position: relative;
}

#kipp-top-menu  nav > .e-n-menu-wrapper > ul > li:not(:last-of-type) .e-n-menu-title:after {
    content: '';
    background: var(--text-gradient-blue);
    height: 3px;
    width: calc(100% - 32px);
    left: 16px;
    position: absolute;
    bottom: 0;
    border-radius: 4px 4px 0 0;
    z-index: 5;
}

#kipp-top-menu  nav > .e-n-menu-wrapper > ul > li:last-of-type {
    margin: 50px 0 18px;
}

button.e-n-menu-toggle {
    height: 34px;
}

span.e-n-menu-toggle-icon.e-open{
    align-self: center;
}

#kipp-top-menu .e-n-menu-heading .e-n-menu-item .e-n-menu-title,
#kipp-top-menu .e-n-menu-heading .e-n-menu-item .e-n-menu-title * {
    cursor: pointer;
}

/* Maga menu elements */

.mega-inner-box {
    position: relative;
    padding: 25px 14px 16px;
}

#kipp-top-menu .e-n-menu-item:nth-child(1) .mega-inner-box {
    padding: 30px 14px 16px;
}

.mega-inner-box nav ul {
    flex-direction: column;
    width: auto;
}

.mega-inner-box  nav ul > li:not(:last-of-type) {
    /*margin-bottom: 2px;*/
}

.mega-inner-box .solutions-right nav ul > li:not(:last-of-type) {
    /*margin-bottom: 8px;*/
}

#kipp-top-menu .elementor-widget-n-menu .e-n-menu-item .e-n-menu-title {
    /*padding: 28px 16px;*/
    padding: 0 16px;
    height: 80px;
    justify-content: space-between;
}

.mega-content.solutions-left {
    gap: 16px;
    width: 100%;
    max-width: none;
}

.mega-content.solutions-left ul {
    padding-left: 16px;
}

.mega-content .menu-item,
.mega-menu-items .menu-item {
    /*border-radius: 20px;*/
    position: relative;
    transition: all 0.3s ease;
}

#kipp-top-menu .mega-menu-items .menu-item a,
#kipp-top-menu .mega-content .menu-item a {
    color: var(--dark-blue);
    font: 500 18px/1.2 var(--DM-Sans);
    max-width: max-content;
    padding: 10px;
    transition: all 0.3s ease;
}

#kipp-top-menu .mega-menu-items .menu-item a:hover,
#kipp-top-menu .mega-content .menu-item a:hover {
    color: var(--cyan-blue);
    padding: 10px;
}

.mega-inner-box .mega-title {
    font: var(--text-medium-h7);
    color: #5A5A5A;
    font-size: 20px;
    font-weight: 400;
    text-transform: uppercase;
}

.mega-inner-box .mega-menu-items .mega-title {
    padding: 0 0 16px 0;
}

.mega-inner-box .mega-menu-items .mega-title.merchants {
    margin-top: 26px;
}

.mega-menu-items.solutions-right {
    width: 100%;
    margin-top: 24px;
}

.mega-menu-items.the-platform {
    width: 100%;
    margin-top: 24px;
}

.mega-menu-items.the-platform ul {
    padding: 0 16px;
}

.mega-menu-items.solutions-right ul {
    padding-left: 16px;
}

#kipp-top-menu .kipp-nav .menu-item a:after {
    content: none;
}

#kipp-top-menu .kipp-menu-btns {
    margin: 0 16px 0 auto;
}

#kipp-top-menu .elementor-widget-n-menu .e-n-menu[data-layout=dropdown] .e-n-menu-title {
    /*background-color: #ffffff5c;*/
}

.elementor-widget-n-menu .e-n-menu-toggle svg,
.elementor-widget-n-menu .e-n-menu-toggle:hover svg,
.elementor-widget-n-menu .e-n-menu-toggle[aria-expanded=true] svg {
    fill: var(--white);
}

.fill .elementor-widget-n-menu .e-n-menu-toggle svg,
.fill .elementor-widget-n-menu .e-n-menu-toggle svg *,
.fill .elementor-widget-n-menu .e-n-menu-toggle:hover svg,
.fill .elementor-widget-n-menu .e-n-menu-toggle[aria-expanded=true] svg {
    fill: var(--dark-blue);
}

#kipp-top-menu .elementor-widget-n-menu .e-n-menu-wrapper {
    top: 60px;
}

/*mobile Resources */
li.mobile-sub-item.menu-item {
    margin-left: 12px;
}


/* Secondary Menu Header */

.secondary-menu header #kipp-top-menu {
    background-color: #FFFFFF80 !important;
    margin-bottom: 0;
    backdrop-filter: blur(20px);
}

.secondary-menu #kipp-top-menu .menu-site-logo img {
    width: 95px;
}

.secondary-menu #kipp-top-menu .kipp-nav .e-n-menu-item .e-n-menu-title-text,
.secondary-menu #kipp-top-menu .btn-text a,
.secondary-menu #kipp-top-menu .text-white.btn a {
    color: var(--dark-blue);
}

.secondary-menu #kipp-top-menu #demo-btn a:hover {
    color: var(--white);
}

.secondary-menu .elementor-widget-n-menu .e-n-menu-toggle svg,
.secondary-menu .elementor-widget-n-menu .e-n-menu-toggle svg *,
.secondary-menu .elementor-widget-n-menu .e-n-menu-toggle:hover svg,
.secondary-menu .elementor-widget-n-menu .e-n-menu-toggle[aria-expanded=true] svg {
    fill: var(--dark-blue);
}

@media (min-width: 768px) {

    header #kipp-top-menu {
        padding: 0 30px;
    }
}

@media (min-width: 1025px) {

    header #kipp-top-menu {
        padding: 0 30px;
    }

    .menu-site-logo {
        margin: auto 60px auto 0;
    }

    .kipp-nav.e-flex.e-con.e-child {
        padding: 0;
        flex-grow: 1;
        max-width: unset;
    }

    .mega-content.solutions-left {
        border-right: 1px solid #D6D7E3
    }

    #kipp-top-menu .kipp-nav .e-n-menu-item .e-n-menu-title-text {
        color: var(--white);
    }

    #kipp-top-menu .elementor-widget-n-menu .e-n-menu-wrapper > ul > li:nth-of-type(4) {
        margin-left: auto;
    }

    #kipp-top-menu .elementor-widget-n-menu .e-n-menu-wrapper > ul {
        background: none;
    }

    #kipp-top-menu .elementor-widget-n-menu .e-n-menu-title .e-n-menu-dropdown-icon {
        display: none;
    }

    #kipp-top-menu  nav > .e-n-menu-wrapper > ul > li:not(:last-of-type) .e-n-menu-title:after {
        content: none;
    }

    #kipp-top-menu  nav > .e-n-menu-wrapper > ul > li:last-of-type {
        margin: 0;
    }

    #kipp-top-menu  nav > .e-n-menu-wrapper > ul > li:last-of-type #demo-btn {
        padding-right: 0;
    }

    #kipp-top-menu .mega-menu-items .menu-item a,
    #kipp-top-menu .mega-content .menu-item a {
        color: var(--dark-blue);
        font: var(--heading-8);
        max-width: max-content;
        padding: 10px;
        transition: all 0.3s ease;
    }

    .mega-content.solutions-left {
        gap: 16px;
        width: 190px;
        max-width: none;
        /*border-right: 1px solid #D6D7E3*/
    }

    .mega-inner-box {
        position: relative;
        padding: 24px 14px 16px;
        border-radius: 5px 5px 20px 20px;
        box-shadow: 0 2px 16px -1px #00000040;
    }

    .mega-inner-box .mega-menu-items .mega-title {
        padding: 0 14px 16px;
    }

    .mega-menu-items.solutions-right {
        width: 325px;
        max-width: none;
        margin-top: 0;
        border-right: 1px solid #D6D7E3;
    }

    .mega-menu-items.the-platform {
        width: 240px;
        max-width: none;
        margin-top: 0;
    }

    .mega-inner-box .mega-title {
        font: var(--heading-8);
        color: #5A5A5A;
        text-transform: none;
    }

    #kipp-top-menu .e-n-menu-item:nth-child(1) .e-n-menu-content {
        /*top: 70px;*/
        max-width: 780px;
        left: 16px;
    }

    #kipp-top-menu .e-n-menu-item:nth-child(2) .e-n-menu-content {
        max-width: 180px;
        left: 16px;
    }

    #kipp-top-menu .e-n-menu-item:nth-child(3) .e-n-menu-content {
        max-width: 180px;
        left: 16px;
    }

    .mega-content.solutions-left ul {
        padding-right: 16px;
        padding-left: 0;
    }

    .mega-inner-box:before {
        content: '';
        background: var(--text-gradient-blue);
        height: 9px;
        width: 100%;
        position: absolute;
        border-radius: 4px 4px 0 0;
    }

}


/** Site Footer **/
.site-footer {
    padding: 90px 20px 35px;
    border-top: 1px solid #d6d7e342;
}

#kipp-footer {
    justify-content: space-between;
    max-width: unset;
}

#kipp-footer .footer-content-left {
    max-width: max-content;
}

#kipp-footer .footer-navigation {
    width: auto;
}

.footer-site-logo {
    margin-bottom: 16px;
}

#kipp-footer .footer-title {
    margin: 16px 0;
    max-width: 230px;
}

#kipp-footer .footer-title h5 {
    font: var(--heading-8);
    background: var(--text-gradient-blue);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

#kipp-footer .footer-text {
    font: var(--text-small);
    letter-spacing: -0.01em;
    color: var(--dark-blue);
    margin-bottom: 60px;
}

#kipp-footer .footer-privacy {
    width: max-content;
    margin-right: auto;
}

#kipp-footer .footer-privacy > div {
    gap: 16px;
    /*margin: 50px 0 0;*/
}

#kipp-footer .footer-navigation  {
    display: none;
}

#kipp-footer .footer-navigation > div {
    max-width: 175px;
}

.footer-navigation h6 {
    font: var(--heading-8);
}

.footer-menu-list a * {
    font: var(--text-small-h9);
    color: var(--link-blue);
}

.footer-menu-list a svg ,
.footer-menu-list a svg * {
    fill: var(--link-blue);
}

.footer-menu-list li.elementor-icon-list-item {
    /*height: 46px;*/
    align-items: flex-start;
    margin-bottom: 30px;
}

.footer-navigation > div:nth-child(2) .footer-menu-list li.elementor-icon-list-item {
    margin-bottom: 14px;
}

.footer-menu-list li.elementor-icon-list-item a svg {
    width: auto;
    height: 18px;
}


#kipp-footer .btn-privacy a {
    letter-spacing: -0.25px;
}

#kipp-footer input#form-field-email {
    border-color: #D6D7E3;
    border-radius: var(--radius-8);
    padding-left: 10px;
}

#kipp-footer button ,
#kipp-footer button:visited {
    font: 500 16px/22px var(--DM-Sans);
    color: var(--dark-blue);
    text-transform: none;
    border-radius: var(--radius-8);
    background: none;
    position: relative;
    width: 100%;
}

#kipp-footer button .elementor-button-text {
    z-index: 5;
}

#kipp-footer button:hover {
    color: var(--white);
}

#kipp-footer button::before {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 2px solid transparent;
    border-radius: var(--radius-8);
    opacity: 1;
    transition: opacity 0.3s linear;

    -webkit-mask: linear-gradient(#fff 0 0) padding-box, linear-gradient(#fff 0 0);
    -webkit-mask-composite: destination-out;
    mask-composite: exclude;
}

#kipp-footer button:hover::before {
    opacity: 0;
}

#kipp-footer button::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 2px solid transparent;
    border-radius: var(--radius-8);
    opacity: 0;
    transition: opacity 0.3s linear;
}

#kipp-footer button:hover::after {
    opacity: 1;
}

#kipp-footer button::before {
    content: '';
    background: linear-gradient(180deg, #00BEFF 0%, #000BB1 100%) border-box;
}

#kipp-footer button::after {
    content: '';
    background: var(--gradient-blue) padding-box,
    linear-gradient(180deg, #00BEFF 0%, #000BB1 100%) border-box;
}

.footer-copyrights {
    margin: 35px 0 0;
}

.footer-copyrights p {
    font: var(--text-small-h9);
    color: var(--link-blue);
    padding: 10px 0;
}

@media (min-width: 1025px) {
    .site-footer {
        padding: 110px 20px 70px;
    }

    .site-footer > div {
        max-width: 1400px;
        margin: 0 auto;
    }


    #kipp-footer .footer-title h5 {
        font: var(--heading-7);
        letter-spacing: -0.25px;
    }

    #kipp-footer .footer-text {
        font: var(--text-regular);
        margin-bottom: 40px;
        max-width: 230px;
    }

    .footer-copyrights {
        margin: 55px 0 0;
    }

    #kipp-footer .footer-navigation  {
        column-gap: 50px;
        /*display: flex;*/
        display: grid;
        /*width: 70%;*/
        grid-template-columns: repeat(6, auto);
        margin-left: auto;
    }

    /*#kipp-footer .footer-navigation > div:not(:last-of-type) {*/
    /*	margin-right: 50px;*/
    /*}*/

    #kipp-footer .footer-navigation > div:nth-of-type(4) {
        max-width: max-content;
    }

    #kipp-footer .footer-navigation > div:last-of-type {
        width: 200px;
        max-width: 200px;
    }

    #kipp-footer .footer-title {
        margin: 32px 0;
    }
}

